Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.radio
Class Radio.RadioProbe.Empty

    java.lang.Object
      avrora.sim.radio.Radio.RadioProbe.Empty

All Implemented Interfaces:
  Radio.RadioProbe

Enclosing class:
  Radio.RadioProbe

public static class Radio.RadioProbe.Empty
extends java.lang.Object
implements Radio.RadioProbe

Nested Class Summary

Nested classes inherited from class avrora.sim.radio.Radio.RadioProbe
`Radio.RadioProbe.Empty`

Constructor Summary
`Radio.RadioProbe.Empty()`

Method Summary
`void` | `fireAtBitRateChange(Radio r, int newbitrate)`
`void` | `fireAtFrequencyChange(Radio r, double freq)`
`void` | `fireAtPowerChange(Radio r, int newPower)`
`void` | `fireAtReceive(Radio r, Radio.Transmission p)`
`void` | `fireAtTransmit(Radio r, Radio.Transmission p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Radio.RadioProbe.Empty

    public Radio.RadioProbe.Empty()

Method Detail

### fireAtPowerChange

    public void fireAtPowerChange(Radio r,
                                  int newPower)

  Specified by:
    `fireAtPowerChange` in interface `Radio.RadioProbe`

### fireAtFrequencyChange

    public void fireAtFrequencyChange(Radio r,
                                      double freq)

  Specified by:
    `fireAtFrequencyChange` in interface `Radio.RadioProbe`

### fireAtBitRateChange

    public void fireAtBitRateChange(Radio r,
                                    int newbitrate)

  Specified by:
    `fireAtBitRateChange` in interface `Radio.RadioProbe`

### fireAtTransmit

    public void fireAtTransmit(Radio r,
                               Radio.Transmission p)

  Specified by:
    `fireAtTransmit` in interface `Radio.RadioProbe`

### fireAtReceive

    public void fireAtReceive(Radio r,
                              Radio.Transmission p)

  Specified by:
    `fireAtReceive` in interface `Radio.RadioProbe`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD